Subject: bug#490: [devuan-dev] bug#490: gpsd: Current version of gpsd does not install /etc/init.d/gpsd and fails to start

From: Mark Hindley <[email-masked]>
Date: Fri, 7 Aug 2020 17:21:09 +0100

Boian,

Hi.

Thanks for working on this.

On Fri, Aug 07, 2020 at 05:11:52AM +0300, Boian Bonev wrote:
[…]
 
> In the meantime I have fixed this and that in the gpsd package, most of
> the fixes were accepted upstream, some are pending.
> 
> Just don't know how good idea it is to also make improvements while
> forking, but I felt like gpsd needed these changes ;) Anyways, I
> believe that it is now ready, please check it.

If you are maintaining and think those changes are right and necessary, that
seems fine to me. 

I have just built your new branch suites/unstable and it builds for me without
any other problems than the test failure (ignored) that we have both seen. I
assume you have checked functionality.

Are you able to fix #314?

A couple of comments about the packaging:-

 - Please close #490 in the 'Fork for Devuan' changelog entry.
 
 - d/gbp.cong: debian-tag would be better as devuan/%(version)s.
 
 - d/control: please base the Vcs-* URLs on https://git.devuan.org/devuan/gpsd
   so they will be correct once the package is in the definitive location.

 - d/control: as you have renamed gpsd-dbg to gpds-dbg-tools (which seems
   sensible) you will need conflicts, provides and replaces for gpsd-dbg
   otherwise upgrades will fail due to a file conflict.

Once those are fixed I can copy the repo to https://git.devuan.org/devuan/gpsd
and make you maintainer. Then you will be able to trigger the production build.

Thanks.

Mark